### Function

# Gck Attributes new

#### Declaration [src]

    GckAttributes*
    gck_attributes_new (
      gulong reserved
    )

#### Description [src]

Create a new empty `GckAttributes` array.

The returned set of attributes is floating, and should either be passed to another gck library function which consumes this floating reference, or if you wish to keep these attributes around you should ref them with `gck_attributes_ref_sink()` and unref them later with gck_attributes_unref().

#### Parameters

`reserved`

  Type: `gulong`

  Should be set to always be `GCK_INVALID`.

#### Return value

Type: `GckAttributes`

A floating reference to the new attributes array; when done with the array release it with gck_attributes_unref().

The data is owned by the called function.